ランタイム: Mix::Scene::ISpotLight Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ISpotLight Class Referenceabstract

スポットライトインターフェース More...

`#include <ISpotLight.h>`

Inheritance diagram for Mix::Scene::ISpotLight:
[legend]
Collaboration diagram for Mix::Scene::ISpotLight:
[legend]

## Public Member Functions

virtual const Mix::Vector3 & | GetDirection (void) const =0
| 方向を取得します More...
virtual void | SetDirection (const Mix::Vector3 &dir)=0
| 方向を設定します More...
virtual Float32 | GetRange (void) const =0
| 影響を与える範囲を取得します More...
virtual void | SetRange (Float32 range)=0
| 影響を与える範囲を設定します More...
virtual Float32 | GetConeInnerAngle (void) const =0
| コーンの内角を取得します More...
virtual Float32 | GetConeOuterAngle (void) const =0
| コーンの外角を取得します More...
virtual void | SetCone (Float32 innerAngle, Float32 outerAngle)=0
| コーンの設定をします More...
virtual Float32 | GetExponent (void) const =0
| スポットライトがあたった際の輝きの鋭さを取得します More...
virtual void | SetExponent (Float32 exp)=0
| スポットライトがあたった際の輝きの鋭さ(ハイライト)を設定します More...
Public Member Functions inherited from Mix::Scene::ILocalLight
virtual const Mix::Vector4 & | GetColor (void) const =0
| 色を取得します More...
virtual void | SetColor (const Mix::Vector4 &color)=0
| ライトの色を設定します More...
virtual Float32 | GetLinearAttenuation (void) const =0
| 線形減衰係数を取得します More...
virtual Float32 | GetQuadraticAttenuation (void) const =0
| 2次減衰係数を取得します More...
virtual Float32 | GetExponentAttenuation (void) const =0
| 指数減衰係数を取得します More...
virtual void | SetAttenuation (Float32 l, Float32 q, Float32 e)=0
| 減衰係数を設定します More...
virtual const Mix::Vector3 & | GetPosition (void) const =0
| 位置を取得します More...
virtual void | SetPosition (const Mix::Vector3 &pos)=0
| 位置を設定します More...
virtual void | Refresh (void)=0
| リフレッシュします More...
virtual const Mix::Geometry::Sphere & | GetBounds () const =0
| 境界を取得します More...
virtual Boolean | IsIllegal (void) const =0
| イリーガルかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::ILight
virtual Boolean | IsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ISpotLight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ILocalLight
virtual | ~ILocalLight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ILight
virtual | ~ILight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

スポットライトインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ISpotLight::~ISpotLight | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Scene::ISpotLight::GetDirection | ( | void |  | ) | const

pure virtual

方向を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISpotLight::SetDirection | ( | const Mix::Vector3 & | dir | ) |

pure virtual

方向を設定します

Parameters

  [in] | dir | 方向を表す Mix::Vector3 クラス

virtual Float32 Mix::Scene::ISpotLight::GetRange | ( | void |  | ) | const

pure virtual

影響を与える範囲を取得します

Returns
  影響を与える範囲を返します

virtual void Mix::Scene::ISpotLight::SetRange | ( | Float32 | range | ) |

pure virtual

影響を与える範囲を設定します

Parameters

  [in] | range | 影響を与える範囲

virtual Float32 Mix::Scene::ISpotLight::GetConeInnerAngle | ( | void |  | ) | const

pure virtual

コーンの内角を取得します

Returns
  コーンの内角を返します

virtual Float32 Mix::Scene::ISpotLight::GetConeOuterAngle | ( | void |  | ) | const

pure virtual

コーンの外角を取得します

Returns
  コーンの外角を返します

virtual void Mix::Scene::ISpotLight::SetCone | ( | Float32 | innerAngle,
|  | Float32 | outerAngle
| ) |  |

pure virtual

コーンの設定をします

Parameters

  [in] | innerAngle | コーンの内角( ラジアン単位 )
  [in] | outerAngle | コーンの外角( ラジアン単位 )

virtual Float32 Mix::Scene::ISpotLight::GetExponent | ( | void |  | ) | const

pure virtual

スポットライトがあたった際の輝きの鋭さを取得します

Returns
  輝きの鋭さを返します

virtual void Mix::Scene::ISpotLight::SetExponent | ( | Float32 | exp | ) |

pure virtual

スポットライトがあたった際の輝きの鋭さ(ハイライト)を設定します

Parameters

  [in] | exp | 輝きの鋭さ( 0.0f〜正の無限大 )

The documentation for this class was generated from the following file:

- Mix/Scene/ISpotLight.h